Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gnu.prolog.database
Enum Predicate.TYPE

    java.lang.Object
      java.lang.Enum<Predicate.TYPE>
          gnu.prolog.database.Predicate.TYPE

All Implemented Interfaces:
  Serializable, Comparable<Predicate.TYPE>

Enclosing class:
  Predicate

    public static enum Predicate.TYPE

extends Enum<Predicate.TYPE>

The possible types of Predicate

Author:
  Daniel Thomas

Enum Constant Summary
`BUILD_IN` predicate is a build in.
`CONTROL` predicate is a control construct.
`EXTERNAL` predicate is a user defined predicate defined in Java Class.
`UNDEFINED` type of predicate is not yet set
`USER_DEFINED` predicate is a user defined predicate.

Method Summary
`static Predicate.TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Predicate.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNDEFINED

    public static final Predicate.TYPE UNDEFINED

  type of predicate is not yet set

### CONTROL

    public static final Predicate.TYPE CONTROL

  predicate is a control construct. This type of predicate could be created only during initialization.

### BUILD_IN

    public static final Predicate.TYPE BUILD_IN

  predicate is a build in. This type of predicate could be created only during initialization.

### USER_DEFINED

    public static final Predicate.TYPE USER_DEFINED

  predicate is a user defined predicate.

### EXTERNAL

    public static final Predicate.TYPE EXTERNAL

  predicate is a user defined predicate defined in Java Class.

Method Detail

### values

    public static Predicate.TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Predicate.TYPE c : Predicate.TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Predicate.TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD